2015年12月26日 星期六

編譯 gcin 2.8.4 紀實

 .

源由

想升級 puppy linux  tahr-6.0.2_大甲溪_1.0 裡面的 gcin 。


現有資源

https://sites.google.com/site/winlin0330/gcin-1/gcin-debian-packages/gcin-deb-for-debian-testing
有 2.8.1 可安裝檔 .deb。

https://sites.google.com/site/gcinpackagebycoolcd/
有 2.7.x 可安裝檔 .deb。

http://hyperrate.com/gcin-source/
有 2.8.x 有原始檔。

所以,想安裝 2.8.4 就得自己編譯。(麥呷雨神加里hob?)


打造編譯環境

硬體:presario c500 celeron m430 老筆電。
軟體:UBUNTU 15.10 i386



實作插曲

presario c500 在灌了 UBUNTU 15.10 i386 之後,無線網卡會失效。上網查
 (google: c500 ubuntu wireless),才知這是2011年前後 ubuntu 討論區的老問題。

而且無線網卡失效後,再從USB啟動兩個不同版本的 puppy linux 也都抓不到無線網卡。
一度以為無線網卡壞掉了。

後來在灌了 UBUNTU 15.10 i386 的 presario c500 筆電中重新安裝無線網卡的驅動程式,
才整個恢復正常。


在 ubuntu 中大概是執行了這些指令:

sudo apt-get update
sudo apt-get remove bcmwl-kernel-source
sudo apt-get install firmware-b43-installer b43-fwcutter




如何編譯 gcin 2.8.4

依此說明:
http://hyperrate.com/thread.php?tid=26083



發現小問題

編譯完gcin 2.8.4原始檔的 .deb 都標示 2.8.3 :




















但是在 puppy linux  tahr-6.0.2_大甲溪_1.0 安裝後,則標示 2.8.4:





























 precise-Puppy Linux_5.7.1_濁水溪_1.2 、 puppy linux  tahr-6.0.2_大甲溪_1.0上安裝
 2.8.4 後,都會出現:














重新裝回 gcin_2.7.4-0_i386.deb 就變正常。





.

沒有留言:

張貼留言